@extends('layouts.panel')

@section('navigation')
            <ul class="nav navbar-nav">
                <li><a href="{{ route('home') }}">Home</a></li>
                <li><a href="{{ route('status') }}">Attraction Status</a></li>
                <li class="active"><a>ActionFoto's</a></li>
                <li><a href="{{ route('shows') }}">Show</a></li>
                <!-- <li><a href="status.php">Attraction Status</a></li>
                <li><a href="photo.php">Photo's</a></li>
                <li><a href="show.php">Show</a></li>
                <li><a href="store.php">Store</a></li> -->
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ Auth::user()->username() }}<span class="caret"></span></a><ul class="dropdown-menu">
                        <li><a href="{{ route('profile.home') }}">Profile</a></li>
                        @if(Auth::user()->is_admin || Auth::user()->is_root)
                        <li><a href="admin/">Admin</a></li>
                        <li role="separator" class="divider"></li>
                        @endif
                        <li><a href="{{ route('logout') }}">Logout</a></li>
                    </ul>
                </li>
            </ul>
@endsection

@section('content')
<div class="wrapper">
    <div class="row x">
        @if(!empty($photos))
        @foreach($photos as $photo)
        <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12 y">
            <img class="actionfoto" src="data:image/png;base64,{{ $photo->base64 }}">
        </div>
        @endforeach
        @endif
    </div>
</div>
@endsection
